Name:		media-applet
Version:	0.3.2
Release:	%mkrel 1
License:	GPL
Group:		Graphical desktop/GNOME
Summary:	An applet to easily handle devices on your system.
Url:		http://live.gnome.org/media-applet#head-f930580b34996a35693d948b74db852f5629c2e1
Source:		%{name}-%version.tar.bz2
Prefix:		/usr
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	libvala-devel >= 0.5
BuildRequires:	vala >= 0.5
BuildRequires:	libpanel-applet-2-devel

%description
Media applet is an applet to easily handle devices on your system. (based on ejecter 0.0.9 a small utility to unmount removable media by Federico Pelloni).

%prep
%setup

%build
./waf configure --prefix=%{prefix}
./waf

%install
mkdir -p %{buildroot}%{_libdir}/bonobo/servers
mkdir -p %{buildroot}%{_datadir}/gnome-2.0/ui
for i in en_GB it es ru pl fr de he en_AU en_CA pt_BR;
	do mkdir -p %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES;
done
mkdir -p %{buildroot}%{_bindir}

install -m644 build/default/data/GNOME_media_applet.server %{buildroot}%{_libdir}/bonobo/servers/
install -m644 data/GNOME_media_applet.xml %{buildroot}%{_datadir}/gnome-2.0/ui/
for i in en_GB it es ru pl fr de he en_AU en_CA pt_BR;
        do install -m 644 build/default/po/$i.mo %{buildroot}%{_datadir}/locale/$i/LC_MESSAGES/media-applet.mo;
done
install -m755 build/default/src/media-applet %{buildroot}%{_bindir}/

%files
%{_libdir}/bonobo/servers/GNOME_media_applet.server
%{_datadir}/gnome-2.0/ui/GNOME_media_applet.xml
%{_datadir}/locale/*/LC_MESSAGES/media-applet.mo
%{_bindir}/media-applet

%changelog
* Mon Feb 09 2009 Oliver Burger <rpm@mandrivauser.de> 0.3.2-1mud2009.0
- initial package for Mandriva Linux
